### Signal

# GnomeAutoar Extractor::progress

#### Declaration

    void
    progress (
      AutoarExtractor* self,
      guint64 completed_size,
      guint completed_files,
      gpointer user_data
    )

#### Description [src]

This signal is used to report progress of extraction.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`completed_size`

  Type: `guint64`

  Bytes has been written to disk.

`completed_files`

  Type: `guint`

  Number of files have been written to disk.